Get job results summary
curl --request GET \
--url https://www.suprkeywords.com/api/v1/jobs/{jobId}/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.suprkeywords.com/api/v1/jobs/{jobId}/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.suprkeywords.com/api/v1/jobs/{jobId}/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"personaCount": 123,
"referenceCount": 123,
"keywordCount": 123,
"enrichedKeywordCount": 123,
"clusterCount": 123,
"totalOpportunityValue": 123,
"totalSearchVolume": 123,
"avgSearchVolume": 123,
"avgDifficulty": 123,
"avgCpc": 123,
"avgCompetition": 123,
"intentCounts": {},
"personaCounts": [
{
"personaId": "<string>",
"avatarName": "<string>",
"name": "<string>",
"count": 123
}
],
"monthlyVolumeByMonth": [
{
"month": "<string>",
"volume": 123
}
]
}Jobs
Get job results summary
Returns aggregate stats for the job (personas, references, keywords, clusters, opportunity value, averages, intent counts). For the results Summary tab.
GET
/
api
/
v1
/
jobs
/
{jobId}
/
summary
Get job results summary
Authorizations
bearerAuthSessionAuth
API key for programmatic access. Create keys in Settings (Agency plan). Send as Authorization: Bearer or X-API-KEY: . Unauthenticated requests return 401.
Path Parameters
Response
Job summary stats
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I